apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: nginx-ingress
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
spec:
  rules:
  - host: {{ .Values.app1.ingress.host }}
    http:
      paths:
      - path: {{ .Values.app1.ingress.path }}
        pathType: {{ .Values.app1.ingress.pathType }}
        backend:
          service:
            name: {{ .Values.app1.name }}
            port:
              number: {{ .Values.app1.service.extport }}
  - host: {{ .Values.app2.ingress.host }}
    http:
      paths:
      - path: {{ .Values.app2.ingress.path }}
        pathType: {{ .Values.app2.ingress.pathType }}
        backend:
          service:
            name: {{ .Values.app2.name }}
            port:
              number: {{ .Values.app2.service.extport }}
  - host: {{ .Values.app3.ingress.host }}
    http:
      paths:
      - path: {{ .Values.app3.ingress.path }}
        pathType: {{ .Values.app3.ingress.pathType }}
        backend:
          service:
            name: {{ .Values.app3.name }}
            port:
              number: {{ .Values.app3.service.extport }}
                
